'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var hyperx = _interopDefault(require('hyperx'));

var index = function (Vue) {
  Vue.prototype.$html = function () {
    var this$1 = this;
    var args = [], len = arguments.length;
    while ( len-- ) args[ len ] = arguments[ len ];

    var createElement = hyperx(function (tag, attrs, children) {
      for (var key in attrs) {
        if (key.substring(0, 2) === 'on') {
          attrs.on = attrs.on || {};
          var newKey = lowerCaseFirstLetter(key.substring(2));
          attrs.on[newKey] = attrs[key];
        } else if (key === 'className') {
          attrs.class = attrs.className;
        } else if (key.substring(0, 8) === 'nativeOn') {
          attrs.nativeOn = attrs.nativeOn || {};
          var newKey$1 = lowerCaseFirstLetter(key.substring(8));
          attrs.nativeOn[newKey$1] = attrs[key];
        } else if (key.substring(0, 8) === 'domProps') {
          attrs.domProps = attrs.domProps || {};
          var newKey$2 = lowerCaseFirstLetter(key.substring(8));
          attrs.domProps[newKey$2] = attrs[key];
        }
      }
      return this$1.$createElement(tag, attrs, children)
    });

    var tree = createElement.apply(void 0, args);
    return tree
  };
};

function lowerCaseFirstLetter(string) {
  return string.charAt(0).toLowerCase() + string.substring(1)
}

module.exports = index;
